problème avec convert.ly

Bonsoir à tous,

Je viens de passer de la v 2.12.3 à la v 2.13.21 et je ne parviens pas
utiliser convert.ly...
je me retrouve avec le message suivant :

UniDecodeError: 'ascii' codec can't decode byte 0xcc in position 60: ordinal
not in range(128).

Et peu importe le fichier que je veux mettre à jour...

Si quelqu'un peut me dire d'ou vient le probleme!!

PS: je suis sous osX 10.6...

···

--
View this message in context: http://lilypond-french-users.1298960.n2.nabble.com/probleme-avec-convert-ly-tp5086395p5086395.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

2010/5/21 aym49 <****@****> :

Bonsoir à tous,

Je viens de passer de la v 2.12.3 à la v 2.13.21 et je ne parviens
pas utiliser convert.ly...
je me retrouve avec le message suivant :

UniDecodeError: 'ascii' codec can't decode byte 0xcc in position 60:
ordinal not in range(128).

Et peu importe le fichier que je veux mettre à jour...

Si quelqu'un peut me dire d'ou vient le probleme!!

PS: je suis sous osX 10.6...

Mmmh, à première vue, je dirais qu'il s'agit d'un problème d'encodage.
Vérifie que le fichier .ly est bien encodé en UTF-8. Si tu utilises
jEdit : "File -> Reload with Encoding -> UTF-8" et ensuite s'assurer
que "Utilities -> Buffer Options... -> Character encoding : UTF-8".

Sinon il s'agit peut-être d'un bug de cette version de développement
sous OS X. Il me semble que plusieurs personnes ont rapporté des
problèmes avec les scripts python récemment, mais je n'ai pas fait
attention aux détails (version, OS, ...).

Cordialement,
Xavier

···

--
Xavier Scheuer <****@****>

Merci pour la réponse!!

Non e n'utilise pas Jedit mais e vais tester de suite...

En revanche, j'arrive tout de même à compiler le fichier sans passer par
convert.ly, mais çà m'a mis une pagaille pas possible...

···

--
View this message in context: http://lilypond-french-users.1298960.n2.nabble.com/probleme-avec-convert-ly-tp5086395p5086480.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

bon, après test avec Jedit + lilypond tool, voilà ce que j'obtient:

cannot run program
"/Applications/Lylipond.app/Contents/Resources/bin/python" (in directoy
"/Users/desktop/..." : error=2, No such file or directory

···

--
View this message in context: http://lilypond-french-users.1298960.n2.nabble.com/probleme-avec-convert-ly-tp5086395p5086517.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.

2010/5/22 aym49 <****@****> :

bon, après test avec Jedit + lilypond tool, voilà ce que j'obtient:

cannot run program
"/Applications/Lylipond.app/Contents/Resources/bin/python" (in
directoy "/Users/desktop/..." : error=2, No such file or directory

Pff, difficile de répondre, je ne suis pas sous Mac.
Attends qu'un mac user passe éventuellement par ici...

Sinon quelques pistes :

  1. vérifier que python est bien installé ;
  2. essayer "convert-ly" dans un terminal ;
  3. changer dans jEdit "Plugins -> Plugin Options -> LilyPondTool
     -> Commandes -> Invocation de Convert-ly : convert-ly.py"
     "convert-ly.py" tout seul d'abord ;
  4. vérifier où se trouve convert-ly dans
     "/Applications/Lylipond.app/Contents/Resources/bin/..." et
     modifier 3. en conséquence.

Je ne peux pas faire mieux, désolé.

Cordialement,
Xavier

···

--
Xavier Scheuer <****@****>

Le 21/05/2010 23:31, aym49 disait :

Bonsoir à tous,

Je viens de passer de la v 2.12.3 à la v 2.13.21 et je ne parviens pas
utiliser convert.ly...
je me retrouve avec le message suivant :

UniDecodeError: 'ascii' codec can't decode byte 0xcc in position 60: ordinal
not in range(128).

Et peu importe le fichier que je veux mettre à jour...

Si quelqu'un peut me dire d'ou vient le probleme!!

PS: je suis sous osX 10.6...

Quelques petites particularités à MacOS sont listées à la page

notamment en ce qui concerne les « lanceurs »

@+
Jean-Charles

Bonjour,
je suis sous MacOS X.6 et j'ai renoncé depuis longtemps à utiliser convert-ly depuis Jedit, car il y a des incompatibilités entre le paramétrage de lilypondTool et l'emplacement de python.

J'utilise donc convert-ly avec la ligne de commande dans le terminal. Les utilisateurs de Linux ne seront pas surpris.
Pour que ce soit facile à utiliser je fixe le chemin d'accès de lilypond en créant un fichier appelé .profile (fichier invisible) dans mon répertoire de départ.
Ce fichier contient la ligne suivante (changer le chemin d'accès si lilypond n'est pas dans le dossier Applications) :

export PATH=/Applications/Lilypond/LilyPond.app/Contents/Resources/bin:$PATH

Pour vérifier le résultat, dans le terminal la commande
which convert-ly
donne le chemin d'accès à la convert-ly.

pour utiliser convert-ly taper dans le terminal :
cd le-chemin-d'accès-vers-les-fichiers-lilypond
convert-ly mon-fichier-source.ly >mon-fichier-destination.ly

pour la commande cd il est plus simple de faire glisser le dossier sur la fenêtre du terminal directement après cd et un espace.

@+,
Pascal

···

Le 22 mai 2010 à 12:23, Jean-Charles Malahieude a écrit :

Le 21/05/2010 23:31, aym49 disait :

Bonsoir à tous,

Je viens de passer de la v 2.12.3 à la v 2.13.21 et je ne parviens pas
utiliser convert.ly...
je me retrouve avec le message suivant :

UniDecodeError: 'ascii' codec can't decode byte 0xcc in position 60: ordinal
not in range(128).

Et peu importe le fichier que je veux mettre à jour...

Si quelqu'un peut me dire d'ou vient le probleme!!

PS: je suis sous osX 10.6...

Quelques petites particularités à MacOS sont listées à la page

LilyPond – Music notation for everyone: MacOS X

notamment en ce qui concerne les « lanceurs »

@+
Jean-Charles

_______________________________________________
liste de diffusion lilypond-user-fr
lilypond-user-fr@gnu.org
http://lists.gnu.org/mailman/listinfo/lilypond-user-fr

Merci pour vos réponse,

Certains aspects de Lilypond sont encore un peu trop complexe pour moi, du
coup, je suis revenu en 2.12.3, comme çà, tout fonctionne...

···

--
View this message in context: http://lilypond-french-users.1298960.n2.nabble.com/probleme-avec-convert-ly-tp5086395p5123513.html
Sent from the LilyPond French Users mailing list archive at Nabble.com.